Update an alert
curl --request PATCH \
--url https://api.togai.com/alerts/{alert_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"status": "INACTIVE"
}
'import requests
url = "https://api.togai.com/alerts/{alert_id}"
payload = { "status": "INACTIVE" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({status: 'INACTIVE'})
};
fetch('https://api.togai.com/alerts/{alert_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "alert.1zYnCiM9Bpg.lv25y",
"version": 1,
"alertId": "alert.1zYnCiM9Bpg.lv25y",
"description": "Alert1 Description",
"cronInterval": "30",
"ownerDetails": {
"accountId": "account_1"
},
"entityDetails": {
"usageMeterId": "um.1zYnCiM9Bpg.lv25y"
},
"parameters": {
"threshold": 10
},
"status": "ACTIVE",
"createdAt": "2020-01-01T00:00:00Z",
"updatedAt": "2020-01-01T00:00:00Z"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}Alerts
Update an alert
Update an alert
PATCH
/
alerts
/
{alert_id}
Update an alert
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Example:
"alert.20aUyEZSuYq.SoGbS"
Body
application/json
Payload to update alert
Response
Response for install alert request
Alert ID
Alert Version
Available options:
ACTIVE, INACTIVE Alert Template Id
Interval
Created At
Alert Description
Validity of the alert in minutes, if null then alert will be valid forever
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Updated At
⌘I
